//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace RaamatukoguAPP11
{
    using System;
    using System.Collections.Generic;
    
    public partial class Silt
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Silt()
        {
            this.EksemplariSilt = new HashSet<EksemplariSilt>();
        }
    
        public int Kood { get; set; }
        public string Silt1 { get; set; }
        public int KasutajaKood { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<EksemplariSilt> EksemplariSilt { get; set; }
        public virtual Kasutaja Kasutaja { get; set; }
    }
}
